Actions APIReferenceVaultsSlugUpdate redeem
Build a transaction to reduce an existing pending redemption request.
Path Parameters
slug*string
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
redemptionAsset*string
ERC20 address of the desired redemption asset on the requested chain.
Match
^0x[a-fA-F0-9]{40}$chainId*integer
EVM chain ID. Must be one of the supported chains and must match a chain the vault is deployed on.
Range
0 < valueuser*string
User/controller address whose current pending redemption should be read.
Match
^0x[a-fA-F0-9]{40}$newShareAmount*string
Raw base-unit final pending-share total after the reduction. Use 0 to cancel the request.
Match
^\d+$skipSimulation?boolean
Skip the transaction simulation preflight.
Default
falseResponse Body
application/json
application/json
application/json
curl -X POST "https://example.com/vaults/nest-wisdom-vault/update-redeem/build-tx" \ -H "Content-Type: application/json" \ -d '{ "redemptionAsset": "0x222365ef19f7947e5484218551b56bb3965aa7af", "chainId": 98866, "user": "0x00000000000000000000000000000000000000ab", "newShareAmount": "500000" }'{ "data": { "slug": "string", "chainId": 0, "redemptionType": "nest", "shareTokenAddress": "string", "redemptionAsset": "string", "user": "string", "previousPendingShares": "string", "newShareAmount": "string", "shareDecimals": 0, "transactions": [ { "label": "updateRedeem", "description": "string", "to": "string", "data": "string", "value": "0" } ] }}